#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:          kactivitymanagerd
Summary:       System service to manage user's activities, track the usage patterns etc
Group:         Graphical desktop/KDE
Epoch:         1
Version: 5.20.4
Release:       %mkrel %{rel}
License:       LGPLv2+
URL:           http://quickgit.kde.org/%{name}
Source0:       https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz


BuildRequires: kf5-macros

BuildRequires: cmake(KF5DBusAddons)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5Config)
BuildRequires: cmake(KF5CoreAddons)
BuildRequires: cmake(KF5WindowSystem)
BuildRequires: cmake(KF5GlobalAccel)
BuildRequires: cmake(KF5XmlGui)
BuildRequires: cmake(KF5KIO)
BuildRequires: cmake(KF5Crash)

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Sql)
BuildRequires: pkgconfig(Qt5Widgets)

BuildRequires: boost-devel

%description
System service to manage user's activities, track the usage patterns etc.

%files -f %name.lang
%_kf5_categoriesdir/kactivitymanagerd.categories
%_libexecdir/kactivitymanagerd
%_kf5_libdir/libkactivitymanagerd_plugin.so
%_qt5_plugindir/kactivitymanagerd
%_kf5_services/kactivitymanagerd.desktop
%_kf5_servicetypes/kactivitymanagerd-plugin.desktop
%_kf5_datadir/dbus-1/services/org.kde.activitymanager.service

#-----------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %name --all-name



%changelog
* Mon Dec 07 2020 daviddavid <daviddavid> 1:5.20.4-1.mga8
+ Revision: 1654180
- New version 5.20.4

* Sat Nov 14 2020 daviddavid <daviddavid> 1:5.20.3-1.mga8
+ Revision: 1645395
- New version 5.20.3

* Wed Oct 28 2020 daviddavid <daviddavid> 1:5.20.2-1.mga8
+ Revision: 1639968
- New version 5.20.2

* Wed Oct 21 2020 daviddavid <daviddavid> 1:5.20.1-1.mga8
+ Revision: 1637725
- New version 5.20.1

* Tue Oct 13 2020 daviddavid <daviddavid> 1:5.20.0-1.mga8
+ Revision: 1635429
- New version 5.20.0

* Wed Sep 02 2020 daviddavid <daviddavid> 1:5.19.5-1.mga8
+ Revision: 1620766
- New version 5.19.5

* Wed Jul 29 2020 daviddavid <daviddavid> 1:5.19.4-1.mga8
+ Revision: 1609591
- New version 5.19.4

* Wed Jul 08 2020 neoclust <neoclust> 1:5.19.3-1.mga8
+ Revision: 1602990
- New version 5.19.3

* Tue Jun 23 2020 daviddavid <daviddavid> 1:5.19.2-1.mga8
+ Revision: 1598705
- New version 5.19.2

* Wed Jun 17 2020 daviddavid <daviddavid> 1:5.19.1-1.mga8
+ Revision: 1593999
- New version 5.19.1
+ neoclust <neoclust>
- New version 5.18.90

* Wed May 06 2020 daviddavid <daviddavid> 1:5.18.5-1.mga8
+ Revision: 1580739
- New version 5.18.5
- New version 5.18.4.1

* Tue Mar 17 2020 daviddavid <daviddavid> 1:5.18.3-1.mga8
+ Revision: 1557139
- New version 5.18.3

* Tue Feb 25 2020 daviddavid <daviddavid> 1:5.18.2-1.mga8
+ Revision: 1550365
- New version 5.18.2

* Fri Feb 21 2020 daviddavid <daviddavid> 1:5.18.1-1.mga8
+ Revision: 1548219
- New version 5.18.1

* Thu Feb 20 2020 umeabot <umeabot> 1:5.18.0-2.mga8
+ Revision: 1547104
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 daviddavid <daviddavid> 1:5.18.0-1.mga8
+ Revision: 1496221
- New version 5.18.0

* Thu Feb 06 2020 neoclust <neoclust> 1:5.17.90-1.mga8
+ Revision: 1487390
- New version 5.17.90
+ wally <wally>
- build with new cmake macros

* Wed Dec 04 2019 daviddavid <daviddavid> 1:5.17.4-1.mga8
+ Revision: 1464287
- New version 5.17.4

* Fri Nov 15 2019 daviddavid <daviddavid> 1:5.17.3-1.mga8
+ Revision: 1460045
- New version 5.17.3

* Wed Oct 30 2019 daviddavid <daviddavid> 1:5.17.2-1.mga8
+ Revision: 1456756
- New version 5.17.2

* Wed Oct 23 2019 daviddavid <daviddavid> 1:5.17.1-1.mga8
+ Revision: 1455321
- New version 5.17.1

* Mon Oct 14 2019 neoclust <neoclust> 1:5.17.0-1.mga8
+ Revision: 1453153
- New version 5.17.0

* Mon Sep 30 2019 neoclust <neoclust> 1:5.16.90-1.mga8
+ Revision: 1448168
- New version 5.16.90

* Wed Sep 04 2019 neoclust <neoclust> 1:5.16.5-1.mga8
+ Revision: 1437037
- New version 5.16.5

* Wed Jul 31 2019 neoclust <neoclust> 1:5.16.4-1.mga8
+ Revision: 1426305
- New version 5.16.4

* Thu Jul 11 2019 neoclust <neoclust> 1:5.16.3-1.mga8
+ Revision: 1420138
- New version 5.16.3

* Mon Apr 08 2019 neoclust <neoclust> 1:5.15.4-1.mga7
+ Revision: 1386837
- New version 5.15.4

* Sat Mar 30 2019 umeabot <umeabot> 1:5.15.3-2.mga7
+ Revision: 1381979
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 1:5.15.3-1.mga7
+ Revision: 1374914
- New version 5.15.3

* Thu Feb 28 2019 neoclust <neoclust> 1:5.15.2-1.mga7
+ Revision: 1370543
- New version 5.15.2

* Tue Feb 19 2019 neoclust <neoclust> 1:5.15.1-1.mga7
+ Revision: 1368583
- New version 5.15.1

* Sat Feb 16 2019 neoclust <neoclust> 1:5.15.0-1.mga7
+ Revision: 1367688
- New version 5.15.0

* Mon Jan 14 2019 neoclust <neoclust> 1:5.14.5-1.mga7
+ Revision: 1356167
- New version 5.14.5

* Sun Dec 09 2018 neoclust <neoclust> 1:5.14.4-1.mga7
+ Revision: 1339304
- New version 5.14.4

* Wed Oct 24 2018 neoclust <neoclust> 1:5.14.2-1.mga7
+ Revision: 1324863
- New version 5.14.2

* Sun Sep 23 2018 umeabot <umeabot> 1:5.13.4-2.mga7
+ Revision: 1298417
- Mageia 7 Mass Rebuild

* Sat Aug 18 2018 neoclust <neoclust> 1:5.13.4-1.mga7
+ Revision: 1252555
- New version 5.13.4

* Fri Feb 23 2018 neoclust <neoclust> 1:5.12.2-1.mga7
+ Revision: 1204434
- New version 5.12.2

* Wed Feb 14 2018 neoclust <neoclust> 1:5.12.1-1.mga7
+ Revision: 1200979
- New version 5.12.1

* Fri Jan 19 2018 neoclust <neoclust> 1:5.11.95-1.mga7
+ Revision: 1194730
- New version 5.11.95

* Wed Dec 27 2017 neoclust <neoclust> 1:5.11.4-1.mga7
+ Revision: 1185674
- New version 5.11.4

* Fri Oct 27 2017 neoclust <neoclust> 1:5.11.2-1.mga7
+ Revision: 1174094
- New version 5.11.2

* Tue Oct 17 2017 neoclust <neoclust> 1:5.11.1-1.mga7
+ Revision: 1172379
- New version 5.11.1

* Sun Oct 01 2017 neoclust <neoclust> 1:5.10.95-1.mga7
+ Revision: 1162379
- New version 5.10.95
- New version 5.10.5

* Tue Aug 01 2017 pterjan <pterjan> 1:5.10.4-3.mga7
+ Revision: 1133481
- Fix for new find_lang
- Fix for new find_lang

* Sat Jul 22 2017 neoclust <neoclust> 1:5.10.4-1.mga7
+ Revision: 1128193
- New version 5.10.4
- New version 5.10.3

* Fri May 26 2017 neoclust <neoclust> 1:5.8.7-1.mga6
+ Revision: 1104830
- New version 5.8.7

* Wed Mar 08 2017 neoclust <neoclust> 1:5.8.6-2.mga6
+ Revision: 1089694
- Rebuild for arm

* Mon Mar 06 2017 neoclust <neoclust> 1:5.8.6-1.mga6
+ Revision: 1089016
- New version 5.8.6

* Tue Jan 31 2017 tv <tv> 1:5.8.5-3.mga6
+ Revision: 1084367
- slightly relax the conflicts

* Tue Jan 31 2017 tv <tv> 1:5.8.5-2.mga6
+ Revision: 1084356
- fix upgrade from mga5

* Tue Dec 27 2016 neoclust <neoclust> 1:5.8.5-1.mga6
+ Revision: 1078151
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 1:5.8.4-1.mga6
+ Revision: 1070708
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 1:5.8.3-2.mga6
+ Revision: 1065073
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 1:5.8.3-1.mga6
+ Revision: 1064468
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 1:5.8.2-1.mga6
+ Revision: 1063039
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 1:5.8.1-1.mga6
+ Revision: 1060264
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 1:5.8.0-1.mga6
+ Revision: 1057590
- New version 5.8.0

* Thu Sep 15 2016 neoclust <neoclust> 1:5.7.95-1.mga6
+ Revision: 1053046
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 1:5.7.5-1.mga6
+ Revision: 1052673
- New version 5.7.5

* Wed Aug 24 2016 neoclust <neoclust> 1:5.7.4-1.mga6
+ Revision: 1048334
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 1:5.7.3-1.mga6
+ Revision: 1044259
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 1:5.7.2-1.mga6
+ Revision: 1042547
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 1:5.7.1-1.mga6
+ Revision: 1041384
- New version 5.7.1

* Thu Jul 07 2016 neoclust <neoclust> 1:5.7.0-1.mga6
+ Revision: 1039490
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 1:5.6.5-1.mga6
+ Revision: 1021856
- New version 5.6.5
- New version 5.6.4

* Sun May 15 2016 neoclust <neoclust> 1:5.6.4-2.mga6
+ Revision: 1015661
- Add Epoch to allow update from mga5 ( from NyB )
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009264
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999248
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998003
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994378
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 986978
- Rebuild against kf5 5.20.0

* Fri Mar 04 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 985539
- imported package kactivitymanagerd

